-- Series.lua
-- Script for Fendt 1000 Vario
--
-- Author Steph33
-- 23.11.2016
-- Version 1.0 @23.11.2016
	--> indoorsound change when door/Krisha/backWindow/leftWindow/RightWindow are open
	--> Edit: CatFan18 Mods

Series = {};

function Series.prerequisitesPresent(specializations)
    return true;
end;

function Series:load(savegame)
	if self.isClient then
	    --leftDoor--
		self.sampleOpenDoorL = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "Dzwieki/dl_open.ogg", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorL = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "Dzwieki/dl_close.wav", self.baseDirectory, self.components[1].node);
		--rightDoor--
		self.sampleOpenDoorR = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "Dzwieki/dach_open.ogg", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorR = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "Dzwieki/dach_close.ogg", self.baseDirectory, self.components[1].node);
		--Krisha--
		self.sampleOpenKrisha = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openKrishaSound", "Dzwieki/door_open.ogg", self.baseDirectory, self.components[1].node);
		self.sampleCloseKrisha = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeKrishaSound", "Dzwieki/door_close.wav", self.baseDirectory, self.components[1].node);
		--backWindow--
		self.sampleOpenbackWindow = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openbackWindowSound", "Dzwieki/door_open.ogg", self.baseDirectory, self.components[1].node);
		self.sampleClosebackWindow = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closebackWindowSound", "Dzwieki/door_close.wav", self.baseDirectory, self.components[1].node);
		--leftWindow--
		self.sampleOpenLeftWindow = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openLeftWindowSound", "Dzwieki/dach_open.ogg", self.baseDirectory, self.components[1].node);
		self.sampleCloseLeftWindow = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeLeftWindowSound", "Dzwieki/dach_close.ogg", self.baseDirectory, self.components[1].node);
		--RightWindow--
		self.sampleOpenRightWindow = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openRightWindowSound", "Dzwieki/dl_open.ogg", self.baseDirectory, self.components[1].node);
		self.sampleCloseRightWindow = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeRightWindowSound", "Dzwieki/dl_close.wav", self.baseDirectory, self.components[1].node);
	end;
end;
--function Series:postLoad(savegame)
--	for k,v in pairs(self.sampleMotor) do print(k,v) end
--end;
function Series:delete()
	if self.sampleOpenDoorL ~= nil then
		SoundUtil.deleteSample(self.sampleOpenDoorL);
	end;
	if self.sampleOpenDoorR ~= nil then
		SoundUtil.deleteSample(self.sampleOpenDoorR);
	end;
	if self.sampleOpenKrisha ~= nil then
		SoundUtil.deleteSample(self.sampleOpenKrisha);
	end;
	if self.sampleOpenbackWindow ~= nil then
		SoundUtil.deleteSample(self.sampleOpenbackWindow);
	end;
	if self.sampleOpenLeftWindow ~= nil then
		SoundUtil.deleteSample(self.sampleOpenLeftWindow);
	end;
	if self.sampleOpenRightWindow ~= nil then
		SoundUtil.deleteSample(self.sampleOpenRightWindow);
	end;
	if self.sampleCloseDoorL ~= nil then
		SoundUtil.deleteSample(self.sampleCloseDoorL);
	end;
	if self.sampleCloseDoorR ~= nil then
		SoundUtil.deleteSample(self.sampleCloseDoorR);
	end;
	if self.sampleCloseKrisha ~= nil then
		SoundUtil.deleteSample(self.sampleCloseKrisha);
	end;
	if self.sampleClosebackWindow ~= nil then
		SoundUtil.deleteSample(self.sampleClosebackWindow);
	end;
	if self.sampleCloseLeftWindow ~= nil then
		SoundUtil.deleteSample(self.sampleCloseLeftWindow);
	end;
	if self.sampleCloseRightWindow ~= nil then
		SoundUtil.deleteSample(self.sampleCloseRightWindow);
	end;
end;
function Series:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Series:keyEvent(unicode, sym, modifier, isDown)
end;
function Series:update(dt)
    if self:getIsActive() and self.isClient then
		if self.isEntered then
			if self:getIsAnimationPlaying("leftdoor") and self:getIsActiveForSound() then
				if self.animations["leftdoor"].currentSpeed > 0 and self.animations["leftdoor"].currentTime < 50 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenDoorL, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenDoorL,1,1,nil);
					end;
				elseif self.animations["leftdoor"].currentSpeed < 0 and self.animations["leftdoor"].currentTime < 100 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseDoorL, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseDoorL,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("rightdoor") and self:getIsActiveForSound() then
				if self.animations["rightdoor"].currentSpeed > 0 and self.animations["rightdoor"].currentTime < 50 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenDoorR, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenDoorR,1,1,nil);
					end;
				elseif self.animations["rightdoor"].currentSpeed < 0 and self.animations["rightdoor"].currentTime < 100 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseDoorR, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseDoorR,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("Krisha") and self:getIsActiveForSound() then
				if self.animations["Krisha"].currentSpeed > 0 and self.animations["Krisha"].currentTime < 50 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenKrisha, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenKrisha,1,1,nil);
					end;
				elseif self.animations["Krisha"].currentSpeed < 0 and self.animations["Krisha"].currentTime < 100 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseKrisha, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseKrisha,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("backWindow") and self:getIsActiveForSound() then
				if self.animations["backWindow"].currentSpeed > 0 and self.animations["backWindow"].currentTime < 50 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenbackWindow, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenbackWindow,1,1,nil);
					end;
				elseif self.animations["backWindow"].currentSpeed < 0 and self.animations["backWindow"].currentTime < 100 then
					if not SoundUtil.isSamplePlaying(self.sampleClosebackWindow, 1.5*dt) then
						SoundUtil.playSample(self.sampleClosebackWindow,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("LeftWindow") and self:getIsActiveForSound() then
				if self.animations["LeftWindow"].currentSpeed > 0 and self.animations["LeftWindow"].currentTime < 50 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenLeftWindow, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenLeftWindow,1,1,nil);
					end;
				elseif self.animations["LeftWindow"].currentSpeed < 0 and self.animations["LeftWindow"].currentTime > 50 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseLeftWindow, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseLeftWindow,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("RightWindow") and self:getIsActiveForSound() then
				if self.animations["RightWindow"].currentSpeed > 0 and self.animations["RightWindow"].currentTime < 50 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenRightWindow, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenRightWindow,1,1,nil);
					end;
				elseif self.animations["RightWindow"].currentSpeed < 0 and self.animations["RightWindow"].currentTime < 100 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseRightWindow, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseRightWindow,1,1,nil);
					end;
				end;
			end;
		end;
    end;
end;
function Series:updateTick(dt)
end;
function Series:draw()    
end;